#include <stdio.h>

int main()
{
 int N, J, D, S, H, rezultat; 
 printf("Unesi prirodan cetvorocifreni broj.\n");
 scanf("%d", &N);
 if((N>9999) || (N<1000)) rezultat = -1; 
 else {
  J = N % 10; 
  D = (N / 10)%10; 
  S = (N / 100)%10; 
  H = N / 1000; 
  if ((H>S)&&(S>D)&&(D>J)) rezultat = 2; 
  else if ((J>D)&&(D>S)&&(S>H)) rezultat = 1; 
  else rezultat = 3; 
 }
 printf("Rezultat je: %d\n", rezultat); 
}

